{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    gcloud.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install gcloud.";
    };
  };

  config = lib.mkIf config.me.gcloud.enable (
    lib.mkMerge [
      {
        environment.systemPackages = with pkgs; [
          google-cloud-sdk
        ];
      }
    ]
  );
}
